Skip to main content
`Ctrl`+`K`

# IrreducibleUnit

class astropy.units.IrreducibleUnit(st, doc=None, format=None, namespace=None)

  Bases: `NamedUnit`

  Irreducible units are the units that all other units are defined in terms of.

  Examples are meters, seconds, kilograms, amperes, etc. There is only once instance of such a unit per type.

  Attributes Summary

  `represents` | The unit that this named unit represents.

  Methods Summary

  `decompose`([bases]) | Return a unit object composed of only irreducible units.

  Attributes Documentation

  represents

    The unit that this named unit represents.

    For an irreducible unit, that is always itself.

  Methods Documentation

  decompose(bases=())

    Return a unit object composed of only irreducible units.

    Parameters:
      bases python:sequence of `UnitBase`, optional

        The bases to decompose into. When not provided, decomposes down to any irreducible units. When provided, the decomposed result will only contain the given units. This will raises a `UnitsError` if it’s not possible to do so.

    Returns:
      unit `CompositeUnit`

        New object containing only irreducible unit objects.